本文へジャンプします。

このサイトは、FJcloud-VおよびFJcloud-Vを基盤としたクラウドサービスに関する技術情報を提供しています。
利用できる機能・サービスおよび一部仕様は各サービスで異なります。
利用できる機能・サービスおよび仕様差異は、各サービスサイトで提供されている案内を確認してください。

ユーザーガイド

クラウド トップ>Catalog> API> ProvisionAnthosResourceGroup

ProvisionAnthosResourceGroup

処理概要

Anthos(GKE Enterprise) のリソースグループを初期設定します。

リクエストURL

POST /v1/resource-groups/{ResourceGroupName}/anthos:provision

指定するパラメーター

パスパラメーター
パラメーター 型 説明 必須
ResourceGroupName string 対象のリソースグループ名
○
リクエストボディ
パラメーター 型 説明 必須
regions string[] 利用したいリージョン
現時点では単一リージョンのみ指定可
○
availabilityZones string[] 利用したいゾーン
現時点では単一ゾーンのみ指定可
○
resourceNamePrefix string リソース名プレフィックス
作成されるリソースに付与する接頭辞
他のリソースグループと重複不可
使用可能文字: 半角英数小文字6文字以内
○
deploymentModel string デプロイメントモデル
値:
  • standalone
  • multi
  • hybrid
○
networkConfig object
␣networkId string プライベートLANのネットワークID
googleCloudConfig object
␣serviceAccountKey string Google Cloudで作成したJSON形式のサービスアカウントキー
○
␣location string 利用するGoogle Cloudロケーション
指定可能な値はGetAnthosServerConfigで確認可能
○
adminWorkstation object
␣region string サーバーを作成するリージョン
○
␣availabilityZone string サーバーを作成するゾーン
○
␣instanceType string サーバータイプ
値:
  • h2-medium4
  • h2-medium8
  • h2-medium16
  • h2-medium24
  • h2-large
  • h2-large8
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large8
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
○
␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
○
␣volumeSize integer ディスクサイズ
値:
  • 100
○
␣keyName string SSHキー名
コンピューティングで作成したSSHキーを指定する
○
␣initialAccountingType string 初期料金プラン
値:
  • pay-per-use
  • monthly
Default: pay-per-use
adminCluster object
␣name string クラスター名
Google Cloudプロジェクトに存在するクラスター名と重複は不可
使用可能文字: 半角英数小文字またはハイフン(先頭は半角英字の小文字、末尾は半角英数小文字のみ)40文字以内
○
␣version string Anthos(GKE Enterprise) バージョン
指定可能な値はGetAnthosServerConfigで確認可能
指定されていない場合はGetAnthosServerConfigのdefaultConfig.anthosVersionの値が入る
␣keyName string SSHキー名
コンピューティングで作成したSSHキーを指定する
○
␣initialAccountingType string 初期料金プラン
値:
  • pay-per-use
  • monthly
Default: pay-per-use
␣anthosServiceMeshConfig object
␣␣enabled boolean Cloud Service Meshの有効・無効
○
␣␣version string Cloud Service Meshのバージョン
指定可能な値はGetAnthosServerConfigで確認可能
Cloud Service Meshが有効かつ指定されていない場合はGetAnthosServerConfigのdefaultConfig.serviceMeshVersionの値が入る
␣cloudControllerManagerConfig object
␣␣useExternalCloudProvider boolean Cloud Controller Manager用クラスター設定の有効・無効
○
␣controlPlaneLoadBalancer object
␣␣type string ロードバランサーのタイプ
値:
  • elastic-load-balancer
○
␣␣vip string ロードバランサーのVIP
プライベートLAN指定時は必須
␣␣systemIpAddresses string[] マルチロードバランサーのシステムIPアドレス
共通プライベート指定時は指定不可
プライベートLAN指定時でtypeがelastic-load-balancerの場合は必須。2つの重複しないIPアドレスを指定する必要あり
␣controlPlane object
␣␣region string サーバーを作成するリージョン
○
␣␣availabilityZone string サーバーを作成するゾーン
○
␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
○
␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
○
␣␣volumeSize integer ディスクサイズ
値:
  • 100
○
␣␣nodeCount integer コントロールプレーンのノード数
値:
  • 1
  • 3
  • 5
○
␣nodePools[] object[]
␣␣name string ノードプール名
使用可能文字: 半角英数小文字またはハイフン(先頭と末尾を除く)40文字以内
○
␣␣region string サーバーを作成するリージョン
○
␣␣availabilityZone string サーバーを作成するゾーン
○
␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
○
␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
○
␣␣volumeSize integer ディスクサイズ
値:
  • 100
○
␣␣nodeCount integer ノード数
○
osName string OS名
指定可能な値はGetAnthosServerConfigで確認可能
指定されていない場合は、GetAnthosServerConfigのavailableConfig.versions.defaultOsNameの値が入る

応答フィールド

フィールド (項目) 型 説明
name string 名前
description string メモ
template string テンプレート
configuration object
␣anthos object
␣␣regions string[] インフラリソースが存在しているリージョン
␣␣availabilityZones string[] インフラリソースが存在しているゾーン
␣␣resourceNamePrefix string リソース名プレフィックス
␣␣deploymentModel string デプロイメントモデル
値:
  • standalone
  • multi
  • hybrid
␣␣networkConfig object
␣␣␣networkId string プライベートLANのネットワークID
␣␣googleCloudConfig object
␣␣␣serviceAccount object
␣␣␣␣projectId string プロジェクトID
␣␣␣␣clientEmail string クライアントメールアドレス
␣␣␣␣clientId string クライアントID
␣␣␣location string Google Cloudロケーション
␣␣adminWorkstation object
␣␣␣region string リージョン
␣␣␣availabilityZone string ゾーン
␣␣␣instanceType string サーバータイプ
値:
  • h2-medium4
  • h2-medium8
  • h2-medium16
  • h2-medium24
  • h2-large
  • h2-large8
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large8
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
␣␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
␣␣␣volumeSize integer ディスクサイズ
値:
  • 100
␣␣␣keyName string SSHキー名
␣␣␣initialAccountingType string 初期料金プラン
値:
  • pay-per-use
  • monthly
␣␣␣instance object
␣␣␣␣region string リージョン
␣␣␣␣availabilityZone string ゾーン
␣␣␣␣instanceId string サーバー名
␣␣␣␣instanceUniqueId string ユニークID
␣␣␣␣instanceType string サーバータイプ
␣␣␣␣securityGroupName string ファイアウォールグループ名
␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣volumes[] object[]
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣volumeId string ディスク名
␣␣␣␣␣volumeUniqueId string ユニークID
␣␣␣␣␣type string ディスクタイプ
␣␣␣␣␣size integer ディスクサイズ
␣␣␣osName string OS名
␣␣adminCluster object
␣␣␣name string クラスター名
␣␣␣version string Anthos(GKE Enterprise) バージョン
␣␣␣keyName string SSHキー名
␣␣␣initialAccountingType string 初期料金プラン
値:
  • pay-per-use
  • monthly
␣␣␣anthosServiceMeshConfig object
␣␣␣␣enabled boolean Cloud Service Meshの有効・無効
␣␣␣␣version string Cloud Service Meshのバージョン
指定可能な値はGetAnthosServerConfigで確認可能
Cloud Service Meshが有効かつ指定されていない場合はGetAnthosServerConfigのdefaultConfig.serviceMeshVersionの値が入る
␣␣␣cloudControllerManagerConfig object
␣␣␣␣useExternalCloudProvider boolean Cloud Controller Manager用クラスター設定の有効・無効
␣␣␣controlPlaneLoadBalancer object
␣␣␣␣type string タイプ
値:
  • elastic-load-balancer
␣␣␣␣vip string ロードバランサー仮想IPアドレス
␣␣␣␣systemIpAddresses string[] システムIPアドレス
typeがelastic-load-balancerのときのみ返却
␣␣␣␣elasticLoadBalancer object
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣id string ユニークID
␣␣␣␣␣name string マルチロードバランサー名
␣␣␣␣␣dnsName string VIPネットワーク IPアドレス
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣␣isVipNetwork boolean VIPネットワークフラグ
待ち受けポートが設定されるネットワーク
␣␣␣␣␣␣systemIpAddresses string[] システムIPアドレス
␣␣␣controlPlane object
␣␣␣␣name string ノードプール名
␣␣␣␣region string リージョン
␣␣␣␣availabilityZone string ゾーン
␣␣␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
␣␣␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
␣␣␣␣volumeSize integer ディスクサイズ
値:
  • 100
␣␣␣␣nodeCount integer ノード数
␣␣␣␣instances[] object[]
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣instanceId string サーバー名
␣␣␣␣␣instanceUniqueId string ユニークID
␣␣␣␣␣instanceType string サーバータイプ
␣␣␣␣␣securityGroupName string ファイアウォールグループ名
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣volumes[] object[]
␣␣␣␣␣␣region string リージョン
␣␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣␣volumeId string ディスク名
␣␣␣␣␣␣volumeUniqueId string ユニークID
␣␣␣␣␣␣type string ディスクタイプ
␣␣␣␣␣␣size integer ディスクサイズ
␣␣␣nodePools[] object[]
␣␣␣␣name string ノードプール名
␣␣␣␣region string リージョン
␣␣␣␣availabilityZone string ゾーン
␣␣␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
␣␣␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
␣␣␣␣volumeSize integer ディスクサイズ
値:
  • 100
␣␣␣␣nodeCount integer ノード数
␣␣␣␣instances[] object[]
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣instanceId string サーバー名
␣␣␣␣␣instanceUniqueId string ユニークID
␣␣␣␣␣instanceType string サーバータイプ
␣␣␣␣␣securityGroupName string ファイアウォールグループ名
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣volumes[] object[]
␣␣␣␣␣␣region string リージョン
␣␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣␣volumeId string ディスク名
␣␣␣␣␣␣volumeUniqueId string ユニークID
␣␣␣␣␣␣type string ディスクタイプ
␣␣␣␣␣␣size integer ディスクサイズ
␣␣␣status string ステータス
値:
  • running
  • failed
  • warning
  • provisioning
  • configuring
  • deleting
␣␣␣osName string OS名
␣␣userClusters[] object[]
␣␣␣name string クラスター名
␣␣␣version string Anthos(GKE Enterprise) バージョン
␣␣␣keyName string SSHキー名
␣␣␣initialAccountingType string 初期料金プラン
値:
  • pay-per-use
  • monthly
␣␣␣anthosServiceMeshConfig object
␣␣␣␣enabled boolean Cloud Service Meshの有効・無効
␣␣␣␣version string Cloud Service Meshのバージョン
指定可能な値はGetAnthosServerConfigで確認可能
Cloud Service Meshが有効かつ指定されていない場合はGetAnthosServerConfigのdefaultConfig.serviceMeshVersionの値が入る
␣␣␣cloudControllerManagerConfig object
␣␣␣␣useExternalCloudProvider boolean Cloud Controller Manager用クラスター設定の有効・無効
␣␣␣controlPlaneLoadBalancer object
␣␣␣␣type string タイプ
値:
  • elastic-load-balancer
␣␣␣␣vip string ロードバランサー仮想IPアドレス
␣␣␣␣systemIpAddresses string[] システムIPアドレス
typeがelastic-load-balancerのときのみ返却
␣␣␣␣elasticLoadBalancer object
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣id string ユニークID
␣␣␣␣␣name string マルチロードバランサー名
␣␣␣␣␣dnsName string VIPネットワーク IPアドレス
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣␣isVipNetwork boolean VIPネットワークフラグ
待ち受けポートが設定されるネットワーク
␣␣␣␣␣␣systemIpAddresses string[] システムIPアドレス
␣␣␣controlPlane object
␣␣␣␣name string ノードプール名
␣␣␣␣region string リージョン
␣␣␣␣availabilityZone string ゾーン
␣␣␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
␣␣␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
␣␣␣␣volumeSize integer ディスクサイズ
値:
  • 100
␣␣␣␣nodeCount integer ノード数
␣␣␣␣instances[] object[]
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣instanceId string サーバー名
␣␣␣␣␣instanceUniqueId string ユニークID
␣␣␣␣␣instanceType string サーバータイプ
␣␣␣␣␣securityGroupName string ファイアウォールグループ名
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣volumes[] object[]
␣␣␣␣␣␣region string リージョン
␣␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣␣volumeId string ディスク名
␣␣␣␣␣␣volumeUniqueId string ユニークID
␣␣␣␣␣␣type string ディスクタイプ
␣␣␣␣␣␣size integer ディスクサイズ
␣␣␣nodePools[] object[]
␣␣␣␣name string ノードプール名
␣␣␣␣region string リージョン
␣␣␣␣availabilityZone string ゾーン
␣␣␣␣instanceType string サーバータイプ
値:
  • h2-large16
  • h2-large24
  • h2-large32
  • h2-extra-large16
  • h2-extra-large24
  • h2-extra-large32
  • h2-extra-large48
  • h2-double-large16
  • h2-double-large24
  • h2-double-large32
  • h2-double-large48
  • h2-double-large64
  • h2-double-large96
  • h2-triple-large32
  • h2-triple-large48
  • h2-triple-large64
  • h2-triple-large96
  • h2-triple-large128
  • h2-quad-large64
  • h2-quad-large96
  • h2-quad-large128
  • h2-septa-large128
␣␣␣␣volumeType string ディスクタイプ
値:
  • standard-flash-storage-a
  • standard-flash-storage-b
  • high-speed-flash-storage-a
  • high-speed-flash-storage-b
␣␣␣␣volumeSize integer ディスクサイズ
値:
  • 100
␣␣␣␣nodeCount integer ノード数
␣␣␣␣instances[] object[]
␣␣␣␣␣region string リージョン
␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣instanceId string サーバー名
␣␣␣␣␣instanceUniqueId string ユニークID
␣␣␣␣␣instanceType string サーバータイプ
␣␣␣␣␣securityGroupName string ファイアウォールグループ名
␣␣␣␣␣networkInterfaces[] object[]
␣␣␣␣␣␣networkId string ネットワークID
␣␣␣␣␣␣ipAddress string IPアドレス
␣␣␣␣␣volumes[] object[]
␣␣␣␣␣␣region string リージョン
␣␣␣␣␣␣availabilityZone string ゾーン
␣␣␣␣␣␣volumeId string ディスク名
␣␣␣␣␣␣volumeUniqueId string ユニークID
␣␣␣␣␣␣type string ディスクタイプ
␣␣␣␣␣␣size integer ディスクサイズ
␣␣␣status string ステータス
値:
  • running
  • failed
  • warning
  • provisioning
  • configuring
  • deleting
␣␣␣osName string OS名
status string ステータス
値:
  • provisioned
  • failed
  • agent-offline
  • unprovisioned
  • provisioning
  • configuring
  • deleting
createTime string 作成日時

リクエストサンプル

    curl -XPOST https://catalog.api.nifcloud.com/v1/resource-groups/my-resource-group/anthos:provision
    -H 'X-Amz-Date: 20230401T000000Z'
    -H 'Authorization: AWS4-HMAC-SHA256 ...'
    -H 'content-type:application/json'
    -d '
{
  "regions": ["east-1"],
  "availabilityZones": ["east-11"],
  "resourceNamePrefix": "test",
  "deploymentModel": "standalone",
  "networkConfig": {
    "networkId": "net-COMMON_PRIVATE"
  },
  "googleCloudConfig": {
    "serviceAccountKey": "{\"type\": \"service_account\", ...}",
    "location": "asia-northeast1"
  },
  "adminCluster": {
    "name": "my-cluster",
    "version": "1.16.0",
    "keyName": "mykey",
    "anthosServiceMeshConfig": {
      "enabled": true,
      "version": "1.18.2-asm.0"
    },
    "cloudControllerManagerConfig": {
      "useExternalCloudProvider": true
    },
    "controlPlaneLoadBalancer": {
      "type": "elastic-load-balancer"
    },
    "controlPlane": {
      "region": "east-1",
      "availabilityZone": "east-11",
      "instanceType": "h2-large16",
      "volumeType": "standard-flash-storage-a",
      "volumeSize": 100,
      "nodeCount": 1
    },
    "nodePools": [
      {
        "region": "east-1",
        "availabilityZone": "east-11",
        "name": "my-node-pool",
        "instanceType": "h2-large16",
        "volumeType": "standard-flash-storage-a",
        "volumeSize": 100,
        "nodeCount": 1
      }
    ]
  },
  "adminWorkstation": {
    "region": "east-1",
    "availabilityZone": "east-11",
    "instanceType": "h2-medium4",
    "volumeType": "standard-flash-storage-a",
    "volumeSize": 100,
    "keyName": "mykey"
  },
  "osName": "ubuntu-24.04"
}
'

  

応答サンプル

    {
  "name": "my-resource-group",
  "description": "my-resource-group description",
  "template": "anthos",
  "configuration": {
    "anthos": {
      "regions": [
        "east-1"
      ],
      "availabilityZones": [
        "east-11"
      ],
      "resourceNamePrefix": "my",
      "deploymentModel": "standalone",
      "networkConfig": {
        "networkId": "net-COMMON_PRIVATE"
      },
      "googleCloudConfig": {
        "serviceAccount": {
            "projectId": "my-google-project",
            "clientEmail": "my-service-account@my-google-project.iam.gserviceaccount.com",
            "clientId": "0000000000000000000000"
        },
        "location": "asia-northeast1"
      },
      "adminWorkstation": {
        "region": "east-1",
        "availabilityZone": "east-11",
        "instanceType": "h2-medium4",
        "volumeType": "standard-flash-storage-a",
        "volumeSize": 100,
        "keyName": "mykey",
        "initialAccountingType": "pay-per-use",
        "osName": "ubuntu-24.04",
        "instance": {
          "region": "east-1",
          "availabilityZone": "east-11",
          "instanceId": "myawsvxxxxx",
          "instanceUniqueId": "i-xxxxxxxx",
          "instanceType": "h2-medium4",
          "securityGroupName": "myawfwxxxxx",
          "networkInterfaces": [
            {
              "networkId": "net-COMMON_GLOBAL",
              "ipAddress": "192.0.2.1"
            },
            {
              "networkId": "net-COMMON_PRIVATE",
              "ipAddress": "192.0.2.2"
            }
          ],
          "volumes": [
            {
              "region": "east-1",
              "availabilityZone": "east-11",
              "volumeId": "myawdkxxxxx",
              "volumeUniqueId": "vol-xxxxxxxx",
              "type": "standard-flash-storage-a",
              "size": 100
            }
          ]
        }
      },
      "adminCluster": {
          "name": "my-cluster",
          "version": "1.16.0",
          "osName": "ubuntu-24.04",
          "keyName": "sshkey",
          "initialAccountingType": "pay-per-use",
          "anthosServiceMeshConfig": {
            "enabled": false,
            "version": ""
          },
          "cloudControllerManagerConfig": {
            "useExternalCloudProvider": false
          },
          "controlPlaneLoadBalancer": {
            "type": "elastic-load-balancer",
            "vip": "",
            "systemIpAddresses": [],
            "elasticLoadBalancer": {
              "region": "east-1",
              "availabilityZone": "east-11",
              "id": "elb-xxxxxxxx",
              "name": "mycplbxxxxx",
              "dnsName": "192.0.2.3",
              "networkInterfaces": [
                {
                  "networkId": "net-COMMON_PRIVATE",
                  "ipAddress": "192.0.2.3",
                  "isVipNetwork": true,
                  "systemIpAddresses": []
                }
              ]
            }
          },
          "controlPlane": {
            "name": "my-cluster",
            "region": "east-1",
            "availabilityZone": "east-11",
            "instanceType": "h2-large16",
            "volumeType": "standard-flash-storage-a",
            "volumeSize": 100,
            "nodeCount": 1,
            "instances": [
              {
                "region": "east-1",
                "availabilityZone": "east-11",
                "instanceId": "mycpsvxxxxx",
                "instanceUniqueId": "i-xxxxxxxx",
                "instanceType": "h2-large16",
                "securityGroupName": "mycpfwxxxxx",
                "networkInterfaces": [
                  {
                    "networkId": "net-COMMON_GLOBAL",
                    "ipAddress": "192.0.2.4"
                  },
                  {
                    "networkId": "net-COMMON_PRIVATE",
                    "ipAddress": "192.0.2.5"
                  }
                ],
                "volumes": [
                  {
                    "region": "east-1",
                    "availabilityZone": "east-11",
                    "volumeId": "mycpdkxxxxx",
                    "volumeUniqueId": "vol-xxxxxxxx",
                    "type": "standard-flash-storage-a",
                    "size": 100
                  }
                ]
              }
            ]
          },
          "nodePools": [
            {
              "name": "pool01",
              "region": "east-1",
              "availabilityZone": "east-11",
              "instanceType": "h2-large16",
              "volumeType": "standard-flash-storage-a",
              "volumeSize": 100,
              "nodeCount": 1,
              "instances": [
                {
                  "region": "east-1",
                  "availabilityZone": "east-11",
                  "instanceId": "mywksvxxxxx",
                  "instanceUniqueId": "i-xxxxxxxx",
                  "instanceType": "h2-large16",
                  "securityGroupName": "mywkfwxxxxx",
                  "networkInterfaces": [
                    {
                      "networkId": "net-COMMON_GLOBAL",
                      "ipAddress": "192.0.2.6"
                    },
                    {
                      "networkId": "net-COMMON_PRIVATE",
                      "ipAddress": "192.0.2.7"
                    }
                  ],
                  "volumes": [
                    {
                      "region": "east-1",
                      "availabilityZone": "east-11",
                      "volumeId": "mywkdkxxxxx",
                      "volumeUniqueId": "vol-xxxxxxxx",
                      "type": "standard-flash-storage-a",
                      "size": 100
                    }
                  ]
                }
              ]
            }
          ],
          "status": "provisioning"
      },
      "userClusters": []
    }
  },
  "status": "provisioning",
  "createTime": "2023-11-01T12:34:56Z"
}

  
  • ※本ページ記載の金額は、すべて税抜表示です。
  • ※本ページ記載の他社製品名および会社名などは、各社の商標または登録商標です。
  • ※本ページの内容は、2026年11月02日時点の情報です。

資料ダウンロード 見積シミュレーター

お申し込み

導入のご相談はお電話でも受け付けております。

※ FJcloud-Vをご契約の方に向けた窓口です。

0120-22-1200(平日 9:00~17:45)

推奨画面サイズ 1024×768 以上